clear
set more off
cd "C:\Dropbox\2015Mar_TestID\Comments&Notes\Stata"
//sysuse auto
//Bootranktest (price weight length) (mpg length)
set seed 10086

capture program drop testrank
program define testrank, rclass
        version 14.2
        syntax [, obs(integer 1)]
        drop _all
        set obs `obs'      
		gen z1 = rnormal()
		gen z2 = rnormal()
		gen z3 = rnormal()
		gen z4 = rnormal()
		gen z5 = rnormal()
		gen z6 = rnormal()
		gen x1 = rnormal()
		gen x2 = rnormal()
		gen x3 = rnormal()
		gen x4 = rnormal()
		gen x5 = rnormal()
		gen x6 = rnormal()
		
        bootranktest (z1 z2 z3 z4 z5 z6) (x1 x2 x3 x4 x5 x6)
        return scalar reject = (r(Pvalue)<0.05)
end

simulate pvv=r(pv) rej=r(reject), reps(100): testrank, obs(1000)
sum rej
