% Figure 1: The cdfs of the KP statistic when Pi0 = 2*2 zero and r = 1
% In "Inference on the Rank of a Matrix" by Qihui Chen and Zheng Fang (2019).
% Edited by Qihui Chen and Zheng Fang (2019)
% Updated on 5/1/2019
%%
n = 10000;
rept = 1;
RankKP = zeros(n,rept);
cv = zeros(rept,1);
VM = [1,0,0,-0.9*sqrt(5);
      0,1,0.9*sqrt(5),0;
      0,0.9*sqrt(5),5,0;
      -0.9*sqrt(5),0,0,5];
 for i =1:rept
     i
     rng(i^2+5)
     [RankKP(:,i)] = TestingRankKPLimit(VM,n);
     cv(i) = quantile(RankKP(:,i),0.95);
 end

save result1.mat RankKP cv    